#!/bin/bash
set -e

echo "Generating certificate (${1})..."
openssl CA -config ${rootdir}/intermediate/openssl.cnf -days 3650 -extensions usr_cert -notext -md sha512 -in ${rootdir}/csr/${1}.csr -out ${rootdir}/crt/${1}.crt > /dev/null 2>&1
chmod 444 ${rootdir}/crt/${1}.crt
